﻿using System;
using System.Drawing;
using System.Linq;
using System.Windows.Forms;

namespace FlexChart_Grid
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            var rnd = new Random();
            flexChart1.DataSource = Enumerable.Range(1, 5).Select(i => new
            {
                Date = DateTime.Now.AddHours(i * 2.5),
                Value = rnd.Next(1, 5)
            });
            flexChart1.BindingX = "Date";
            flexChart1.Binding = "Value";
            flexChart1.ChartType = C1.Chart.ChartType.Step;

            flexChart1.AxisY.Min = 0;
            flexChart1.AxisY.Max = 5;

            flexChart1.AxisX.LabelAngle = -60;
            flexChart1.AxisX.Format = "HH:mm:ss";
            
            flexChart1.AxisX.MajorGrid = true;
            flexChart1.AxisX.MajorUnit = 1/(double)(24*60);

            flexChart1.AxisX.MinorGrid = true;
            flexChart1.AxisX.MinorUnit = 1 / (double)(60);
        }
    }
}
